<template>
	<view class="introduce-section">
		<view class="price-box">
			<text class="price-tip">¥</text>
			<view class="price">
				{{ goodsObjact.price }}
				<text class="m-price" v-if="goodsObjact.ot_price > goodsObjact.price">¥{{ goodsObjact.ot_price }}</text>
			</view>
		</view>
		<text class="title clamp2">{{ goodsObjact.store_name }}</text>
	</view>
</template>

<script>
export default {
	props: {
		goodsObjact: {
			type: Object,
			default: function() {
				return {
					percent:1
				};
			}
		}
	},
	filters: {
		parseIntTo(percent) {
			percent = +percent * 100;
			if (percent % 1 === 0) {
				return percent;
			} else {
				percent = percent.toFixed(1);
				return percent;
			}
		}
	},
	data() {
		return {};
	}
};
</script>

<style lang="scss">
/* 标题简介 */
.introduce-section {
	position: relative;
	background: #fff;
	padding: 26rpx 24rpx 30rpx;
	.title {
		font-size: 36rpx;
		color: $font-color-dark;
		.tip-o {
			color: #ff3334;
			padding-left: 15rpx;
		}
	}
	.shareDate {
		position: absolute;
		top: 25rpx;
		right: 25rpx;
		font-size: 26rpx;
		color: #3d3f46;
		border-radius: 15rpx;
		background-color: #ffffff;
		height: 60rpx;
		line-height: 60rpx;
	}
	.share-img {
		width: 30rpx;
		height: 30rpx;
		position: relative;
		top: 5rpx;
		left: 0;
		margin-right: 10rpx;
	}
	.info {
		color: #999999;
		font-size: 26rpx;
		padding-bottom: 15rpx;
	}
	.progress-box {
		width: 260rpx;
		position: relative;
		margin-top: 15rpx;
		line-height: 10px;
		.number {
			font-size: 17rpx;
			position: absolute;
			z-index: 999;
			top: 3rpx;
			left: 15rpx;
			color: #ffffff;
		}
	}
	.price-box {
		display: flex;
		align-items: baseline;
		font-size: 26rpx;
		color: $uni-color-primary;
	}
	.price-tip {
		color: #FF4C4C;
	}
	.price {
		font-size: 50rpx;
		font-family: PingFang SC;
		font-weight: 800;
		color: #FF4C4C;
	}
	.m-price {
		margin: 0 12rpx;
		color: $font-color-light;
		text-decoration: line-through;
		font-size: 34rpx;
	}
}
</style>
